package com.gxzc.zen.rpc.api.sys

import com.gxzc.zen.umps.common.ZenPermission

/**
 * RPC 权限服务
 * @author NorthLan
 * @date 2018/8/11
 * @url https://noahlan.com
 */
interface RPermissionService {
    /**
     * 获取所有系统定义的权限
     */
    fun getAllPermission(): MutableList<ZenPermission>

    /**
     * 通过角色id获取相应的权限
     */
    fun getPermissionByRoleIds(roleIds: List<Long>): MutableList<ZenPermission>
}